Skip to content
Start here

Fetch details of peer

GET/accounts/{account_id}/realtime/kit/{app_id}/sessions/peer-report/{peer_id}

Returns details of the given peer ID along with call statistics for the given session ID.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
Path ParametersExpand Collapse
account_id: string

The account identifier tag.

maxLength32
app_id: string

The app identifier tag.

maxLength32
peer_id: string
formatuuid
Query ParametersExpand Collapse
filters: optional "device_info" or "ip_information" or "precall_network_information" or 2 more

Comma separated list of filters to apply. Note that there must be no spaces between the filters.

One of the following:
"device_info"
"ip_information"
"precall_network_information"
"events"
"quality_stats"
ReturnsExpand Collapse
data: optional object { id, created_at, custom_participant_id, 10 more }
id: optional string

Participant ID. This maps to the corresponding peerId.

created_at: optional string

timestamp when this participant was created.

custom_participant_id: optional string

ID passed by client to create this participant.

display_name: optional string

Display name of participant when joining the session.

duration: optional number

number of minutes for which the participant was in the session.

joined_at: optional string

timestamp at which participant joined the session.

left_at: optional string

timestamp at which participant left the session.

peer_events: optional array of map[unknown]
peer_report: optional object { metadata, quality }

Peer call statistics report.

metadata: optional map[unknown]
quality: optional map[unknown]
preset_name: optional string

Name of the preset associated with the participant.

session_id: optional string
formatuuid
updated_at: optional string

timestamp when this participant’s data was last updated.

user_id: optional string

User id for this participant.

success: optional boolean

Fetch details of peer

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/realtime/kit/$APP_ID/sessions/peer-report/$PEER_ID \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "data": {
    "id": "id",
    "created_at": "created_at",
    "custom_participant_id": "custom_participant_id",
    "display_name": "display_name",
    "duration": 0,
    "joined_at": "joined_at",
    "left_at": "left_at",
    "peer_events": [
      {
        "foo": "bar"
      }
    ],
    "peer_report": {
      "metadata": {
        "foo": "bar"
      },
      "quality": {
        "foo": "bar"
      }
    },
    "preset_name": "preset_name",
    "session_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "updated_at": "updated_at",
    "user_id": "user_id"
  },
  "success": true
}
Returns Examples
{
  "data": {
    "id": "id",
    "created_at": "created_at",
    "custom_participant_id": "custom_participant_id",
    "display_name": "display_name",
    "duration": 0,
    "joined_at": "joined_at",
    "left_at": "left_at",
    "peer_events": [
      {
        "foo": "bar"
      }
    ],
    "peer_report": {
      "metadata": {
        "foo": "bar"
      },
      "quality": {
        "foo": "bar"
      }
    },
    "preset_name": "preset_name",
    "session_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "updated_at": "updated_at",
    "user_id": "user_id"
  },
  "success": true
}